API
Print News Search Direct API
The AI-powered Print Media Monitor provides 360° Global Media Data & Intelligence on Newspapers, magazines, trade publications, and print journalism outlets.
API 참조 버전: 1.0.0 4 엔드포인트 인증
기본 URL
https://pressmonitor.com/api 인증
모든 요청에는 x-api-key 및 x-subscription-id 헤더가 필요합니다. x-api-key는 계정을 인증하고 x-subscription-id는 구독한 서비스를 선택합니다.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Headlines
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keywords_text | string | query | 예 | Keywords text parameter |
| lang_code | string | query | 아니요 | Lang code parameter |
| country_code | string | query | 아니요 | Country code parameter |
| count | integer | query | 아니요 | Count parameter |
| cursor | string | query | 아니요 | Cursor parameter |
| sort | string | query | 아니요 | Sort order (date or relevance) |
| date_from | string | query | 아니요 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 아니요 | End date for news (YYYY-MM-DD format) |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/briefs Briefs
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keywords_text | string | query | 예 | Keywords text parameter |
| lang_code | string | query | 아니요 | Lang code parameter |
| country_code | string | query | 아니요 | Country code parameter |
| count | integer | query | 아니요 | Count parameter |
| cursor | string | query | 아니요 | Cursor parameter |
| sort | string | query | 아니요 | Sort order (date or relevance) |
| date_from | string | query | 아니요 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 아니요 | End date for news (YYYY-MM-DD format) |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/fulltext Fulltext
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| keywords_text | string | query | 예 | Keywords text parameter |
| lang_code | string | query | 아니요 | Lang code parameter |
| country_code | string | query | 아니요 | Country code parameter |
| count | integer | query | 아니요 | Count parameter |
| cursor | string | query | 아니요 | Cursor parameter |
| sort | string | query | 아니요 | Sort order (date or relevance) |
| date_from | string | query | 아니요 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 아니요 | End date for news (YYYY-MM-DD format) |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
GET
/clip Clip
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| id | string | query | 예 | Clip/article ID to resolve |
| ns | string | query | 예 | Namespace prefix for multi-tenant index resolution |
| date | string | query | 예 | Date of the clip (YYYY-MM-DD) |
| host | string | query | 아니요 | Host name for tenant resolution |
| ttl | integer | query | 아니요 | Signed URL time-to-live in seconds |
코드 예제
curl -X GET \
"https://pressmonitor.com/api/clip?id=VALUE&ns=VALUE&date=VALUE&host=VALUE&ttl=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 응답
200 Success
